<?php

namespace Modules\Lpj\Models;

use Modules\Location\Models\City;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Factories\HasFactory;

// use Modules\Lpj\Database\Factories\KJPPFactory;

class KJPP extends Model
{
    use HasFactory;

    // Define the table if not using default table naming
    protected $table = 'kjpp';

    /**
     * The attributes that are mass assignable.
     */
    protected $guarded = ['id'];

    public function PenawaranDetailTender(): HasMany
    {
        return $this->hasMany(PenawaranDetailTender::class, 'kjpp_rekanan_id', 'id');
    }

    public function city()
    {
        return $this->belongsTo(City::class, 'city_code', 'code');
    }



}
